Runtime

## org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance
Class ConnectionAppearancePropertySection

    java.lang.Object
      org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
          org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
              org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
                  org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
                      org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ConnectionAppearancePropertySection

All Implemented Interfaces:
  ISection

public class ConnectionAppearancePropertySection
extends ColorsAndFontsPropertySection

Nested Class Summary

Nested classes inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
`ColorsAndFontsPropertySection.ColorOverlayImageDescriptor`

Field Summary
`protected static java.lang.String` `AVOID_OBSTACLES_NAME_LABEL`
`protected java.util.Map` `buttons`
`protected static java.lang.String` `CLOSEST_DISTANCE_NAME_LABEL`
`protected static java.lang.String` `JUMP_LINK_TYPE_NAME_LABEL`
`protected static java.lang.String` `JUMP_LINKS_NAME_LABEL`
`protected static java.lang.String` `LINE_ROUTER_NAME_LABEL`
`protected static java.lang.String` `REVERSE_JUMP_LINKS_NAME_LABEL`
`protected static java.lang.String` `SMOOTHNESS_NAME_LABEL`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
`colorsAndFontsGroup, DEFAULT_PREF_COLOR, FILL_COLOR_COMMAND_NAME, fillColor, fillColorButton, FONT_COLOR_COMMAND_NAME, FONT_COMMAND_NAME, fontColor, fontColorButton, fontFamilyCombo, FONTS_AND_COLORS_LABEL, LINE_COLOR_COMMAND_NAME, lineColor, lineColorButton`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
`button_margin, composite, standardLabelWidth, vertical_offset`

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection
`disposed, eObject, eventListener, input, propertiesProvider, VALUE_CHANGED_STRING`

Fields inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`STANDARD_LABEL_WIDTH`

Constructor Summary
`ConnectionAppearancePropertySection()`

Method Summary
`void` `createConnectionPropertyGroups(Composite groups)`
`protected void` `createRadioGroup(Composite parent, java.util.Iterator iterator, java.lang.Object propertyId, java.lang.String commandName, java.lang.String propertyName, int rows)` Create and return a group of radio buttons representing a property
`protected void` `createRouterOptionsGroup(Composite groups)` Create router options group
`protected void` `initializeControls(Composite parent)` Provides a level of indirection for subclasses which want 'jump' over some control creation/initilialization steps and/or chnage thier order
`void` `refresh()`
`protected void` `setPropertyValue(SelectionEvent event, java.lang.Object propertyId, java.lang.String commandName)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.appearance.ColorsAndFontsPropertySection
`changeColor, changeColor, changeFontColor, changeLineColor, createFontsAndColorsGroups, createFontsGroup, dispose, disposeImage, getInputIterator, setInput, update, updateColorCache, updateFontBold, updateFontFamily, updateFontItalic, updateFontSize`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractNotationPropertiesSection
`adapt, createControls, getAllNameLabels, getLabelProvider, getSingleInput, getStandardLabelWidth, isCurrentSelection, unwrap`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.properties.sections.AbstractModelerPropertySection

`aboutToBeHidden, aboutToBeShown, addToEObjectList, createCommand, createCommand, executeAsCompositeCommand, executeAsReadAction, getEditingDomain, getEObject, getEObjectList, getEventListener, getFilter, getInput, getPrimarySelection, getStandardLabelWidth, getUpdateRequestCollapser, handleElementModifiedEvent, isDisposed, isNotifierDeleted, isReadOnly, postUpdateRequest, setEditingDomain, setEObject, update`

Methods inherited from class org.eclipse.ui.views.properties.tabbed.AbstractPropertySection
`getMinimumHeight, getPart, getSelection, getWidgetFactory, shouldUseExtraSpace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REVERSE_JUMP_LINKS_NAME_LABEL

    protected static final java.lang.String REVERSE_JUMP_LINKS_NAME_LABEL

### AVOID_OBSTACLES_NAME_LABEL

    protected static final java.lang.String AVOID_OBSTACLES_NAME_LABEL

### CLOSEST_DISTANCE_NAME_LABEL

    protected static final java.lang.String CLOSEST_DISTANCE_NAME_LABEL

### LINE_ROUTER_NAME_LABEL

    protected static final java.lang.String LINE_ROUTER_NAME_LABEL

### SMOOTHNESS_NAME_LABEL

    protected static final java.lang.String SMOOTHNESS_NAME_LABEL

### JUMP_LINKS_NAME_LABEL

    protected static final java.lang.String JUMP_LINKS_NAME_LABEL

### JUMP_LINK_TYPE_NAME_LABEL

    protected static final java.lang.String JUMP_LINK_TYPE_NAME_LABEL

### buttons

    protected java.util.Map buttons

Constructor Detail

### ConnectionAppearancePropertySection

    public ConnectionAppearancePropertySection()

Method Detail

### initializeControls

    protected void initializeControls(Composite parent)

  Description copied from class: `AbstractNotationPropertiesSection`
  Provides a level of indirection for subclasses which want 'jump' over some control creation/initilialization steps and/or chnage thier order

  Overrides:
    `initializeControls` in class `ColorsAndFontsPropertySection`

### createConnectionPropertyGroups

    public void createConnectionPropertyGroups(Composite groups)

  See Also:
    `org.eclipse.gmf.runtime.common.ui.properties.ISection#createControls(org.eclipse.swt.widgets.Composite, org.eclipse.gmf.runtime.common.ui.properties.TabbedPropertySheetPage)`

### createRouterOptionsGroup

    protected void createRouterOptionsGroup(Composite groups)

  Create router options group

  Parameters:
    `groups` - - aprent composite

### createRadioGroup

    protected void createRadioGroup(Composite parent,
                                    java.util.Iterator iterator,
                                    java.lang.Object propertyId,
                                    java.lang.String commandName,
                                    java.lang.String propertyName,
                                    int rows)

  Create and return a group of radio buttons representing a property

  Parameters:
    `parent` - - patrent compopsite
  Returns:
    - a last control created for this group

### setPropertyValue

    protected void setPropertyValue(SelectionEvent event,
                                    java.lang.Object propertyId,
                                    java.lang.String commandName)

  Parameters:
    `event` -

### refresh

    public void refresh()

  Specified by:
    `refresh` in interface `ISection`
  Overrides:
    `refresh` in class `ColorsAndFontsPropertySection`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.